nxt.blockchain

## Interface Transaction

- All Superinterfaces:
    AccountLedger.LedgerEventId
  All Known Subinterfaces:
    ChildBlockFxtTransaction, ChildTransaction, FxtTransaction
  All Known Implementing Classes:
    ChildTransactionImpl, FxtTransactionImpl, TransactionImpl, UnconfirmedTransaction

      public interface Transaction
      extends AccountLedger.LedgerEventId

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Transaction.Builder`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAmount()`
    `java.util.List<? extends Appendix>` | `getAppendages()`
    `java.util.List<? extends Appendix>` | `getAppendages(boolean includeExpiredPrunable)`
    `java.util.List<? extends Appendix>` | `getAppendages(Filter<Appendix> filter, boolean includeExpiredPrunable)`
    `Attachment` | `getAttachment()`
    `Block` | `getBlock()`
    `long` | `getBlockId()`
    `int` | `getBlockTimestamp()`
    `byte[]` | `getBytes()`
    `Chain` | `getChain()`
    `short` | `getDeadline()`
    `int` | `getECBlockHeight()`
    `long` | `getECBlockId()`
    `int` | `getExpiration()`
    `long` | `getFee()`
    `byte[]` | `getFullHash()`
    `int` | `getFullSize()`
    `int` | `getHeight()`
    `long` | `getId()`
    `short` | `getIndex()`
    `org.json.simple.JSONObject` | `getJSONObject()`
    `long` | `getMinimumFeeFQT()`
    `org.json.simple.JSONObject` | `getPrunableAttachmentJSON()`
    `byte[]` | `getPrunableBytes()`
    `PrunableEncryptedMessageAppendix` | `getPrunableEncryptedMessage()`
    `PrunablePlainMessageAppendix` | `getPrunablePlainMessage()`
    `long` | `getRecipientId()`
    `long` | `getSenderId()`
    `byte[]` | `getSenderPublicKey()`
    `byte[]` | `getSignature()`
    `java.lang.String` | `getStringId()`
    `int` | `getTimestamp()`
    `TransactionType` | `getType()`
    `byte[]` | `getUnsignedBytes()`
    `byte` | `getVersion()`
    `boolean` | `isPhased()`
    `void` | `validate()`
    `boolean` | `verifySignature()`

- - ### Method Detail

    - #### getChain

          Chain getChain()

      Specified by:
        `getChain` in interface `AccountLedger.LedgerEventId`

    - #### getId

          long getId()

      Specified by:
        `getId` in interface `AccountLedger.LedgerEventId`

    - #### getStringId

          java.lang.String getStringId()

    - #### getSenderId

          long getSenderId()

    - #### getSenderPublicKey

          byte[] getSenderPublicKey()

    - #### getRecipientId

          long getRecipientId()

    - #### getHeight

          int getHeight()

    - #### getBlockId

          long getBlockId()

    - #### getBlock

          Block getBlock()

    - #### getIndex

          short getIndex()

    - #### getTimestamp

          int getTimestamp()

    - #### getBlockTimestamp

          int getBlockTimestamp()

    - #### getDeadline

          short getDeadline()

    - #### getExpiration

          int getExpiration()

    - #### getAmount

          long getAmount()

    - #### getFee

          long getFee()

    - #### getMinimumFeeFQT

          long getMinimumFeeFQT()

    - #### getSignature

          byte[] getSignature()

    - #### getFullHash

          byte[] getFullHash()

      Specified by:
        `getFullHash` in interface `AccountLedger.LedgerEventId`

    - #### getType

          TransactionType getType()

    - #### getAttachment

          Attachment getAttachment()

    - #### verifySignature

          boolean verifySignature()

    - #### validate

          void validate()
                 throws NxtException.ValidationException

      Throws:
        `NxtException.ValidationException`

    - #### getBytes

          byte[] getBytes()

    - #### getUnsignedBytes

          byte[] getUnsignedBytes()

    - #### getPrunableBytes

          byte[] getPrunableBytes()

    - #### getJSONObject

          org.json.simple.JSONObject getJSONObject()

    - #### getPrunableAttachmentJSON

          org.json.simple.JSONObject getPrunableAttachmentJSON()

    - #### getVersion

          byte getVersion()

    - #### getFullSize

          int getFullSize()

    - #### getAppendages

          java.util.List<? extends Appendix> getAppendages()

    - #### getAppendages

          java.util.List<? extends Appendix> getAppendages(boolean includeExpiredPrunable)

    - #### getAppendages

          java.util.List<? extends Appendix> getAppendages(Filter<Appendix> filter,
                                                           boolean includeExpiredPrunable)

    - #### getECBlockHeight

          int getECBlockHeight()

    - #### getECBlockId

          long getECBlockId()

    - #### isPhased

          boolean isPhased()

    - #### getPrunablePlainMessage

          PrunablePlainMessageAppendix getPrunablePlainMessage()

    - #### getPrunableEncryptedMessage

          PrunableEncryptedMessageAppendix getPrunableEncryptedMessage()